#ifndef ENVY_H
#define ENVY_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include <Ecore.h>
#include <Ecore_X.h>
#include <Ecore_Evas.h>
#include <Ecore_Data.h>
#include <Ecore_Job.h>
#include <Evas.h>
#include <Edje.h>
#include <Emotion.h>

#include "config.h"
#include "envy_typedef.h"

#ifdef DEBUG
#define _dbg_printf(format...) printf(format)
#else
#define _dbg_printf(format...)
#endif

struct _Envy
{
  Ecore_Evas *ee;
  Evas *evas;
  Evas_Object *gui;
  Evas_Object *video;
  Evas_Object *black_bg;
  Evas_Object *balloon;
  Evas_Object *sub;
  Evas_Object *info;
  Evas_Object *timer;
  
  Ecore_Timer *mouse_timer;
  Ecore_Timer *info_timer;

  Sub_Srt *subs;
  int subs_size;
  double sub_delay;

  unsigned char fullscreen:1;
  unsigned char show_sub:1;
  unsigned char ui_visible:1;

  const char *filename;
  char *dirname;

  Envy_Config *config;
};

Envy *envy;
void envy_osdb_process(void *data);

#endif /* ENVY_H */
